Package: org.grails.web.mapping.mvc

## [Groovy] Class AbstractGrailsControllerUrlMappings.ControllerKey

- org.grails.web.mapping.mvc.AbstractGrailsControllerUrlMappings.ControllerKey

-     @groovy.transform.Canonical
      static class AbstractGrailsControllerUrlMappings.ControllerKey
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `action` |
    `private java.lang.String` | `controller` |
    `private java.lang.String` | `namespace` |
    `private java.lang.String` | `plugin` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `action`
    `java.lang.String` | `controller`
    `java.lang.String` | `namespace`
    `java.lang.String` | `plugin`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractGrailsControllerUrlMappings.ControllerKey ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String action

    - #### private java.lang.String controller

    - #### private java.lang.String namespace

    - #### private java.lang.String plugin

  - ### Property Detail

    - #### java.lang.String action

    - #### java.lang.String controller

    - #### java.lang.String namespace

    - #### java.lang.String plugin

  - ### Constructor Detail

    - #### AbstractGrailsControllerUrlMappings.ControllerKey()